Web directory, php and mysql for motion system

22 July 2010 17:57 - Valio

Status: Closed Start date: 22 July 2010

Priority: High Due date:  

Assignee: dergringo % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Request Type: Feature Request   

Description

Who needs the rights?

Pat "Valio" Maechler

What do I need?

A directory where

I can upload files to (anything is okay),

PHP scripts can be executed

I have access to some MySQL database (don't need to create new DBs; just table creation, data insertion, etc.)

it can be retrieved by the web via http

it is sandboxed (there should be no serious security flaw, but safe is safe)

If it's possible to provide some authentication system by the forum or wiki accounts, that would be great, but it's not necessary at

all; I just have to use a separate user management system in that case.

For what?

For the PV in September I have to name a place where members can enter their proposals.

After some considerations I'd prefer to use the software "TrakSys" I'm currently developing for skuba (http://skuba.ch); it's like a

simpler version of Curia Vista programmed with PHP and MySQL. It's GPLed, but it's not in any public repository yet. As it was

developed as a Typo3 plugin, I will need to provide some dummy libraries, as well as a user management system and some basic

security measures (i.e. protection against SQL injections). I'm not there yet, but I assume that I can make it till Sunday. Upon request

I'll send a preliminary version to AG DI members.

Till when are those rights needed?

At least till the end of the PV on September 18th.

Eventually someone would prefer to have it archived some more time, but then everything could be freezed as well.

History

#1 - 25 July 2010 11:28 - dergringo

I copied this request to the forum (where it belongs to :)): http://forum.piratenpartei.ch/viewtopic.php?f=162&t=2240

#2 - 25 July 2010 13:21 - Valio

Thanks!

I wasn't aware that I should have posted that (also?) into the forums.

#3 - 27 July 2010 11:19 - dergringo

- Status changed from New to Closed

- Assignee set to dergringo

I close this ticket. Check the related thread at the forum.

#4 - 09 November 2010 14:30 - dergringo

- Project changed from 8 to 16

- Category deleted (3)
